ResolvedVariantResult (Gradle API 7.6.3)

Package org.gradle.api.artifacts.result

## Interface ResolvedVariantResult

-     public interface ResolvedVariantResult

  The result of successfully resolving a component variant.
  Since:
    3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AttributeContainer` | `getAttributes()` | The attributes associated with this variant.
    `java.util.List<Capability>` | `getCapabilities()` | The capabilities provided by this variant
    `java.lang.String` | `getDisplayName()` | The display name of this variant, for diagnostics.
    `java.util.Optional<ResolvedVariantResult>` | `getExternalVariant()` | If present, this means that this variant is a bridge to another variant found in another module.
    `ComponentIdentifier` | `getOwner()` | The component which owns this variant.

- - ### Method Detail

    - #### getOwner

          @Incubating
          ComponentIdentifier getOwner()

      The component which owns this variant.
      Returns:
        the component identifier of this variant
      Since:
        6.8

    - #### getAttributes

          AttributeContainer getAttributes()

      The attributes associated with this variant.

    - #### getDisplayName

          java.lang.String getDisplayName()

      The display name of this variant, for diagnostics.
      Since:
        4.6

    - #### getCapabilities

          java.util.List<Capability> getCapabilities()

      The capabilities provided by this variant
      Since:
        5.3

    - #### getExternalVariant

          @Incubating
          java.util.Optional<ResolvedVariantResult> getExternalVariant()

      If present, this means that this variant is a bridge to another variant found in another module. This corresponds to variants which are marked as "available-at" in Gradle Module Metadata.
      Returns:
        an optional variant, which if present means it's available externally
      Since:
        6.8